Subject: RE: What is "service name" in SRV records?

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Mon, 12 May 2003 08:45:05 -0700

I prefer to avoid port numbers since Web Services such as XKMS don't have
them but are usefully identified in SRV records.

I don't think we want people writing web services to have an incentive to
start burning port numbers just to get an SRV record.

Web Services are not designed to be firewalled on port number, they are
designed to be firewalled by XML aware gateways. So the port number they run
on is not relevant. Most are going to work over either HTTP or DIME.

	Phill

> -----Original Message-----
> From: Erik Nordmark [mailto:[email-masked]]
> Sent: Monday, May 12, 2003 10:58 AM
> To: [email-masked]
> Subject: What is "service name" in SRV records?
> 
> 
> RFC 2782 says
>    Currently, the translation from service name to port number happens
>    at the client, often using a file such as /etc/services.
> 
> I've been assuming that "service name" was the same as "keyword" in
> http://www.iana.org/assignments/port-numbers
> but the keywords are not unique within the registry.
> 
> Somebody else found
> http://www.iana.org/assignments/service-names
> which has unique service names.
> 
> What is the correct answer?
> 
>   Erik
> 
> 
> --
> to unsubscribe send a message to 
> [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>